# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/ktietz/demo/src/aggregate/dbus-feedstock/recipe, last modified Fri Aug 27 11:35:52 2021
# ------------------------------------------------

package:
  name: dbus
  version: 1.13.18
source:
  patches: null
  sha256: 8078f5c25e34ab907ce06905d969dc8ef0ccbec367e1e1707c7ecf8460f4254e
  url: http://dbus.freedesktop.org/releases/dbus/dbus-1.13.18.tar.xz
build:
  number: '0'
  run_exports:
    - dbus >=1.13.18,<2.0a0
  string: h8280c03_0
requirements:
  build:
    - cctools_osx-arm64 949.0.1 h332cad3_24
    - clang 12.0.0 hca03da5_4
    - clang-12 12.0.0 default_he099f3d_4
    - clang_osx-arm64 12.0.0 hcb56dc5_3
    - clangxx 12.0.0 default_he099f3d_4
    - compiler-rt 12.0.0 h4ccfd99_3
    - compiler-rt_osx-arm64 12.0.0 h4fb70ea_3
    - ld64_osx-arm64 530 h001ce53_24
    - ldid 2.1.2 h7dde238_2
    - libclang-cpp12 12.0.0 default_he099f3d_4
    - libcxx 12.0.0 hf6beb65_1
    - libiconv 1.16 h1230e6a_0
    - libllvm12 12.0.0 h12f7ac0_4
    - libtool 2.4.6 h1230e6a_0
    - llvm-tools 12.0.0 h12f7ac0_4
    - make 4.3 h620ffc9_1
    - pkg-config 0.29.2 h1a28f6b_0
    - tapi 1100.0.11 ha21211d_0
    - zlib 1.2.11 hca03da5_3
  host:
    - expat 2.4.1 hc377ac9_2
    - gettext 0.21.0 h826f4ad_0
    - glib 2.69.0 haf49608_0
    - icu 68.1 hc4ed4cf_0
    - libcxx 12.0.0 hf6beb65_1
    - libffi 3.3 hc377ac9_2
    - libiconv 1.16 h1230e6a_0
    - libxml2 2.9.10 h3d7e406_3
    - llvm-openmp 12.0.0 haf9daa7_1
    - pcre 8.45 hc377ac9_0
    - xz 5.2.5 h1a28f6b_0
    - zlib 1.2.11 hca03da5_3
  run:
    - expat >=2.4.1,<3.0a0
    - glib >=2.69.0,<3.0a0
test:
  commands:
    - dbus-daemon --version
    - dbus-uuidgen
about:
  description: 'D-Bus is a message bus system, a simple way for applications

    to talk to one another. In addition to interprocess communication, D-Bus helps

    coordinate process lifecycle; it makes it simple and reliable to code a "single

    instance" application or daemon, and to launch applications and daemons on

    demand when their services are needed.

    '
  dev_url: git://anongit.freedesktop.org/dbus/dbus
  doc_source_url: https://cgit.freedesktop.org/dbus/dbus/tree/doc
  doc_url: https://www.freedesktop.org/wiki/IntroductionToDBus/
  home: http://www.freedesktop.org/wiki/Software/dbus/
  license: GPL2
  license_file: COPYING
  summary: Simple message bus system for applications to talk to one another
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - ccordoba12
    - mingwandroid
    - nehaljwani
    - ocefpaf
